%define module	automat

Name:		python-%{module}
Version:	0.7.0
Release:	%mkrel 2
Summary:	Python library for finite-state machines
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/Automat/
Source0:	https://pypi.io/packages/source/a/automat/Automat-%{version}.tar.gz
BuildArch:	noarch

%description
Python library for finite-state machines.

%package -n	python3-%{module}
Summary:	Python library for finite-state machines
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(docutils)
BuildRequires:	python3dist(m2r)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Python library for finite-state machines.

%prep
%setup -qn Automat-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf Automat.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.md docs/*
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/Automat-%{version}-py%{python3_version}.egg-info/
%{_bindir}/automat-visualize


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-2.mga8
+ Revision: 1530741
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 0.7.0-1.mga8
+ Revision: 1437289
- new version 0.7.0
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 0.6.0-6.mga7
+ Revision: 1349578
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-5.mga7
+ Revision: 1288249
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 daviddavid <daviddavid> 0.6.0-4.mga7
+ Revision: 1203504
- really rename python-automat to python2-automat

* Fri Oct 06 2017 daviddavid <daviddavid> 0.6.0-3.mga7
+ Revision: 1169568
- add another missing BR on python2dist(setuptools-scm) and python3dist(setuptools-scm)
- rename python-automat to python2-automat
+ tv <tv>
- add BR on python2dist(m2r) and python3dist(m2r) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.6.0-2.mga7
+ Revision: 1135318
- Rebuild for python 3.6

* Sat Jul 29 2017 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1132250
- initial package python-automat

